Index: nspr-4.6.7/mozilla/nsprpub/pr/src/misc/prdtoa.c
===================================================================
--- nspr-4.6.7.orig/mozilla/nsprpub/pr/src/misc/prdtoa.c
+++ nspr-4.6.7/mozilla/nsprpub/pr/src/misc/prdtoa.c
@@ -59,8 +59,8 @@ void _PR_CleanupDtoa(void)
     /* FIXME: deal with freelist and p5s. */
 }
 
-#if defined(__arm) || defined(__arm__) || defined(__arm26__) \
-    || defined(__arm32__)
+#if (defined(__arm) || defined(__arm__) || defined(__arm26__) \
+    || defined(__arm32__)) && !defined(__ARM_EABI__) && !defined(__ARMEB__)
 #define IEEE_ARM
 #elif defined(IS_LITTLE_ENDIAN)
 #define IEEE_8087
Index: nspr-4.6.7/mozilla/nsprpub/pr/include/md/_linux.h
===================================================================
--- nspr-4.6.7.orig/mozilla/nsprpub/pr/include/md/_linux.h
+++ nspr-4.6.7/mozilla/nsprpub/pr/include/md/_linux.h
@@ -346,7 +346,7 @@ extern void _MD_CleanupBeforeExit(void);
 #error "Linux/MIPS pre-glibc2 not supported yet"
 #endif /* defined(__GLIBC__) && __GLIBC__ >= 2 */
 
-#elif defined(__arm__)
+#elif defined(__arm__) && !defined(__ARM_EABI__)
 /* ARM/Linux */
 #if defined(__GLIBC__) && __GLIBC__ >= 2
 #define _MD_GET_SP(_t) (_t)->md.context[0].__jmpbuf[20]
@@ -358,6 +358,18 @@ extern void _MD_CleanupBeforeExit(void);
 #error "ARM/Linux pre-glibc2 not supported yet"
 #endif /* defined(__GLIBC__) && __GLIBC__ >= 2 */
 
+#elif defined(__arm__) && defined(__ARM_EABI__)
+/* ARM/Linux */
+#if defined(__GLIBC__) && __GLIBC__ >= 2
+#define _MD_GET_SP(_t) (_t)->md.context[0].__jmpbuf[8]
+#define _MD_SET_FP(_t, val) ((_t)->md.context[0].__jmpbuf[7] = (val))
+#define _MD_GET_SP_PTR(_t) &(_MD_GET_SP(_t))
+#define _MD_GET_FP_PTR(_t) (&(_t)->md.context[0].__jmpbuf[7])
+#define _MD_SP_TYPE __ptr_t
+#else
+#error "ARM/Linux pre-glibc2 not supported yet"
+#endif /* defined(__GLIBC__) && __GLIBC__ >= 2 */
+
 #else
 
 #error "Unknown CPU architecture"
